# Running fish_is_root_user on each prompt may be slow, since fish_is_root_user
# calls id which may need network traffic. So cache the answer so including it
# in the prompt doesn't make fish slow.
if not set -q __fish_prompt_is_root_user
	set -g __fish_prompt_is_root_user (fish_is_root_user; and echo yes; or echo no)
end

function prompt_is_root_user
	echo $__fish_prompt_is_root_user
end
